# ChirpStack Server Prerequisites

First, purchase a domain name. I use Gandi, and they are generally good enough for what I need.

Next, rent a cloud compute instance with either Debian or Ubuntu as the OS. I use Vultr, but there are many providers available. You likely do not need a big instance; 1 vCPU with 1GB RAM and 25GB SSD is fine for starting out.

Once you have the compute instance, find its public IP address from the hosting provider's interface, and create an A record for it in your DNS provider's interface. I own `roeber.dev` and created an A record for `chirpstack.roeber.dev`.

On a Linux machine, you can confirm the DNS entry is set up by using the `host` command:

```console
jon@desktop:~$ host chirpstack.roeber.dev
chirpstack.roeber.dev has address 140.82.24.228
```

Use SSH to connect to your cloud instance according to your hosting provider's instructions. Once you have connected, you are ready to start installing ChirpStack.
