# LoRA Device Setup

Get a CubeCell. Plug it in.

Add yourself to the `dialout` group: `sudo usermod -aG dialout jon`. Log out and back in.

Install the Arduino IDE v2 from Flathub: `flatpak install flathub cc.arduino.IDE2`.

Add the Heltec Cubecell URL to the board manager: <https://docs.heltec.org/en/node/asr650x/htcc_am02/quick_start.html#use-arduino-board-manager>

Install the CubeCell Development Framework in the board manager.

Under Tools, make sure the region is set to US915.

Pick an example sketch (CayenneLPP is fine) and enter the devEui and appKey. Both can be copied as hex array from the web UI. Upload to device.

Frequency band settings:

```c
uint16_t userChannelsMask[6]={ 0x00FF,0x0000,0x0000,0x0000,0x0000,0x0000 }; // US915_0
uint16_t userChannelsMask[6]={ 0xFF00,0x0000,0x0000,0x0000,0x0000,0x0000 }; // US915_1
uint16_t userChannelsMask[6]={ 0x0000,0x00FF,0x0000,0x0000,0x0000,0x0000 }; // US915_2, etc.
```
